SUBDIRS = . kxml_compiler #kwsdl

INCLUDES = -I$(top_srcdir) $(all_includes)

lib_LTLIBRARIES = libkode.la

libkode_la_SOURCES = code.cpp enum.cpp style.cpp printer.cpp license.cpp file.cpp \
                     class.cpp \
                     function.cpp variable.cpp membervariable.cpp \
                     typedef.cpp statemachine.cpp automakefile.cpp
libkode_la_LDFLAGS = $(KDE_RPATH) $(all_libraries) \
                     -version-info 1:0:0 -no-undefined
libkode_la_LIBADD = -ltdecore

bin_PROGRAMS = kode

kode_LDFLAGS = $(all_libraries) $(KDE_RPATH) $(LIB_TQT) -lDCOP $(LIB_TDECORE) $(LIB_TDEUI) -ltdefx $(LIB_TDEIO) -ltdetexteditor
kode_LDADD   = libkode.la -ltdeabc
kode_SOURCES = kodemain.cpp

METASOURCES = AUTO
